<script setup lang="ts">
import { useAuthStore } from '@/stores/auth'
import { navAdmin, navEmployee, navManager } from './nav_items'

const authStore = useAuthStore()
</script>

<template>
  <v-navigation-drawer rail permanent expand-on-hover>
    <v-list density="compact" nav>
      <div v-if="authStore.isAdmin()">
        <v-list-item
          v-for="item in navAdmin"
          :key="item.value"
          :prepend-icon="item.icon"
          :title="item.title"
          :value="item.value"
          :to="item.path ? { path: item.path } : undefined"
        ></v-list-item>
      </div>
      <div v-else-if="authStore.isManager()">
        <v-list-item
          v-for="item in navManager"
          :key="item.value"
          :prepend-icon="item.icon"
          :title="item.title"
          :value="item.value"
          :to="item.path ? { path: item.path } : undefined"
        ></v-list-item>
      </div>
      <div v-else>
        <v-list-item
          v-for="item in navEmployee"
          :key="item.value"
          :prepend-icon="item.icon"
          :title="item.title"
          :value="item.value"
          :to="item.path ? { path: item.path } : undefined"
        ></v-list-item>
      </div>
    </v-list>
    <v-divider></v-divider>
    <v-list-item
      prepend-icon="mdi-logout"
      title="Logout"
      value="logout"
      @click="authStore.logout()"
    ></v-list-item>
  </v-navigation-drawer>
</template>

<style scoped>
.v-navigation-drawer {
  backdrop-filter: blur(10px);
  background: rgba(206, 135, 64, 0.1);
}
.v-list-item {
  transition: 0.15s;
}
.v-list-item:hover {
  color: rgb(206, 135, 64);
}
</style>
